notifications
In-app notifications, unread badge and delivery preferences.
In-app notifications, unread badge and delivery preferences.
| Method | Path | Operation | Scope | Test mode |
|---|---|---|---|---|
| GET | /v1/notifications | notifications_list: My notifications | notifications:read | - |
| POST | /v1/notifications/{notification_id}/read | notifications_mark_read: Mark a notification as read | notifications:write | - |
| GET | /v1/notifications/preferences | notifications_get_preferences: Notification preferences (event x channel, quiet hours, digest) | notifications:read | - |
| PUT | /v1/notifications/preferences | notifications_update_preferences: Update notification preferences | notifications:write | - |
| POST | /v1/notifications/read-all | notifications_mark_all_read: Mark all my notifications as read | notifications:write | - |
| GET | /v1/notifications/unread-count | notifications_unread_count: Unread badge count | notifications:read | - |
Request and response schemas: the interactive reference at https://api.wapitick.com/docs, or docs/api/openapi.json.